How to specify a version for both arduino and idf?

I did an update in PIO HOME → Platforms → Updates.
I got a new IDF version which is 4.4.7 and I have updated it from 4.4.6.
Now my ram consumption increased by 10%!!! and I want to revert back to 4.4.6.
I’m using arduino as a component of IDF in PIO.
How to do that?

My ini file:

; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[platformio]
build_cache_dir = ./cache

[env:esp-wrover-kit]
check_skip_packages = yes
platform = espressif32
board = esp-wrover-kit
framework = arduino, espidf
board_build.filesystem = littlefs

lib_deps = https://github.com/joltwallet/esp_littlefs.git

upload_speed    = 921600

monitor_speed   = 115200
monitor_filters = colorize, esp32_exception_decoder

board_upload.flash_size = 16MB
board_build.flash_mode = qio
board_build.partitions = ./Partitions/hshPartition_APP_3MB.csv
board_build.f_cpu   = 240000000L
board_build.f_flash = 80000000L


build_flags = 
    -DBOARD_HAS_PSRAM
    -mfix-esp32-psram-cache-issue
    -mfix-esp32-psram-cache-strategy=memw
    -DCONFIG_SPIRAM_USE_MALLOC=1
    -DCONFIG_MBEDTLS_DYNAMIC_BUFFER=1
    -DCONFIG_BT_ALLOCATION_FROM_SPIRAM_FIRST=1
    -DCONFIG_SPIRAM_CACHE_WORKAROUND=1
    -DCORE_DEBUG_LEVEL=0
    -std=gnu++17

build_unflags =
    -std=gnu++11